#ifndef	__PORTAB
#define	__PORTAB

#define	FALSE					0
#define	TRUE					(!FALSE)

typedef	signed char		BYTE;		/* Byte (8 bits) mit Vorzeichen   */
typedef	unsigned char	UBYTE;		/* Byte ohne Vorzeichen           */

typedef	unsigned char	CHAR;		/* Character                      */

typedef	enum
		{
			true	= TRUE,
			false	= FALSE
		}	BOOLEAN;				/* 2 Werte: true/false            */

typedef	signed int		WORD;		/* Word (16 bits) mit Vorzeichen  */
typedef	unsigned int	UWORD;		/* Word ohne Vorzeichen           */

typedef	signed long		LONG;		/* Long (32 bits) mit Vorzeichen  */
typedef	unsigned long	ULONG;		/* Long ohne Vorzeichen           */

typedef	signed short	SHORT;		/* Short (16 bits) mit Vorzeichen */
typedef	unsigned short	USHORT;		/* Short ohne Vorzeichen          */

typedef	signed int		INT;		/* Integer mit Vorzeichen         */
typedef	unsigned int	UINT;		/* Integer ohne Vorzeichen		  */

typedef	void			VOID;

#define REG		register
#define LOCAL	auto
#define EXTERN	extern
#define MLOCAL	static
#define GLOBAL
#define CONST	const

#endif